# MINI-BUILDD

Section: System Administration Utilities (8)
Updated: February 2026
Index Return to Main Contents

## NAME

mini-buildd - Once minimal Debian build and repository daemon

## DESCRIPTION

usage: mini-buildd [-h] [--version] [-l LOG_LEVEL] [-U DEDICATED_USER]

  [-N HOSTNAME] [-E HTTP_ENDPOINT [HTTP_ENDPOINT ...]] [-S SMTP] [-H HOME] [-d OPTION,..] [-P PASSWORD] [-D APP[.MODEL]] [-L FILE] [-R]

Once minimal Debian build and repository daemon

### options:

-h, --help
  show this help message and exit
--version
  show program's version number and exit
-l, --log-level LOG_LEVEL
  set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)
-U, --dedicated-user DEDICATED_USER
  Force a custom dedicated user name (to run as a different user than 'mini-buildd'). (default: mini-buildd)

### daemon arguments:

-N, --hostname, --fqdn HOSTNAME
  Custom public (fully qualified) hostname used for all services (uses host's FQDN if none given). (default: None)
-E, --http-endpoint HTTP_ENDPOINT [HTTP_ENDPOINT ...]
  HTTP Server Endpoint:
  Twisted-style Network Server Endpoint
  See: https://twistedmatrix.com/documents/current/core/howto/endpoints.html#servers
  Notation Examples::
'tcp6:port=8066'
  : Unencrypted, bind on all interfaces.
'ssl:port=8066:privateKey=KEY_PATH:certKey=CERT_PATH': Encrypted, bind on all interfaces.
  'tcp6:interface=localhost:port=8066' : Unencrypted, bind on localhost only.
  You may give multiple endpoints -- the first endpoint given will be the primary.
  (default: ['tcp6:port=8066']), not (default: None)
-S, --smtp SMTP
  SMTP credentials in format '[USER]:[PASSWORD]@smtp|ssmtp://HOST:PORT'. (default: :@smtp://localhost:25)
-H, --home HOME
  Run with this home dir (you may use '~' for user expansion). The only use case to change this for debugging, really. (default: ~)

### logging and debugging arguments:

-d, --debug OPTION,..
  Comma-separated list of special debugging options: 'webapp' (put web application [django] in debug mode), 'sbuild' (run sbuild in debug mode), 'keep' (keep temporary directories). (default: )

### database arguments:

-P, --set-admin-password PASSWORD
  Update password for superuser ('admin'); user is created if non-existent yet. (default: None)
-D, --dumpdata APP[.MODEL]
  Dump database contents for app[.MODEL] as JSON file (see 'django-admin dumpdata'). (default: None)
-L, --loaddata FILE
  INTERNAL USE ONLY, use with care! Load JSON file into database (see 'django-admin loaddata'). (default: None)
-R, --remove-system-artifacts
  INTERNAL USE ONLY, use with care! Bulk-remove associated data of all objects that might have produced artifacts on the system. (default: False)

See also: Online manual, usually at http://localhost:8066/static/manual/.

## Index

NAME
DESCRIPTION
  options:
  daemon arguments:
  logging and debugging arguments:
  database arguments:

This document was created by man2html, using the manual pages.
Time: 00:18:35 GMT, February 20, 2026